package com.bcxin.risk.policy.enums;


public enum InsuranceCompany {

	
	PICC {public String getValue(){return "1";} public String getName(){return "中国人保";}}, 
	
	CPIC_PROPERTY {public String getValue(){return "2";} public String getName(){return "太保财险";}}, 

	HT {public String getValue(){return "3";} public String getName(){return "华泰财产保险有限公司";}}; 
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static InsuranceCompany convert_name(String name){
    	if ( "PICC".equals(name) ) {
    		return InsuranceCompany.PICC;
    	} else if ("CPIC_PROPERTY".equals(name)) {
    		return InsuranceCompany.CPIC_PROPERTY;
    	} else if ("HT".equals(name)) {
    		return InsuranceCompany.HT;
    	}  
    	return null;
    }
    
}
